datablock ParticleData(MotorcycleExhaustParticle)
{
   textureName          = "base/data/particles/cloud";
   dragCoefficient      = 0.0;
   windCoefficient      = 0.5;
   gravityCoefficient   = -0.75; 
   inheritedVelFactor   = 0.2;
   lifetimeMS           = 150;
   lifetimeVarianceMS   = 0;
   useInvAlpha = true;
   spinRandomMin = 0.0;
   spinRandomMax = 0.0;

   colors[0]     = "0.5 0.5 0.5 0.75";
   colors[1]     = "0.7 0.7 0.7 0.25";
   colors[2]     = "0.65 0.65 0.65 0.0";

   sizes[0]      = 0.20;
   sizes[1]      = 0.25;
   sizes[2]      = 1;

   times[0]      = 0;
   times[1]      = 0.1;
   times[2]      = 1;
};

datablock ParticleEmitterData(MotorcycleExhaustEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.1;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "MotorcycleExhaustParticle";
};


datablock ShapeBaseImageData(MotorcycleExhaustImage1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 3;
   rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= MotorcycleExhaustEmitter;
	stateEmitterTime[1]				= 10000;

};
datablock ShapeBaseImageData(MotorcycleExhaustImage2)
{
   	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 4;
   	rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= MotorcycleExhaustEmitter;
	stateEmitterTime[1]				= 10000;

};
function MotorcycleSmokeCheck(%obj)
{
	//return;
	if(!isObject(%obj))
		return;

	%speed = vectorLen(%obj.getVelocity());

	if(%speed < 7)
	{
		if(%obj.prop !$= "stop")
		{
			%obj.playThread(0,propstop);
			%obj.prop = "stop";
		}
	}
	else
	{
		if(%obj.prop !$= "fast")
		{
			%obj.playThread(0,propfast);
			%obj.prop = "fast";
		}
	}

	schedule(250,0,"MotorcycleSmokeCheck",%obj);
   
  %obj.mountImage(MotorcycleExhaustImage1,2);
  %obj.mountImage(MotorcycleExhaustImage2,3);
}