
datablock WheeledVehicleData(MotorcycleStandardVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./MotorcycleStandard.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 3;
   
   numMountPoints = 1;
   mountThread[0] = "armreadyboth";

	maxDamage = 100.00;
	destroyedLevel = 90.00;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 0 -1";
 	massBox = "4 4 3";

	maxSteeringAngle = 0.9;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter;

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 8;         // Far distance from vehicle
	cameraOffset = 5;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.3;
   collisionTol = 0.1;        // Collision distance tolerance
   contactTol = 0.1;

	useEyePoint = false;	

	defaultTire	= MotorcycleTire;
	defaultSpring	= MotorcycleSpring;
	//flatTire	= MotorcycleFlatTire;
	//flatSpring	= MotorcycleFlatSpring;

   numWheels = 4;

	// Rigid Body
	mass = 200;
	density = 5.0;
	drag = 1.5;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 10;       // Play SoftImpact Sound
	hardImpactSpeed = 15;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 2700; //4000;       // Engine power
	engineBrake = 1000;         // Braking when throttle is 0
	brakeTorque = 2000;        // When brakes are applied
	maxWheelSpeed = 27;        // Engine scale by current speed / max speed

	rollForce		= 1100;
	yawForce		= 400;
	pitchForce		= 1000;
	rotationalDrag		= 12;

   // Advanced Steering
   steeringAutoReturn = true;
   steeringAutoReturnRate = 0.9;
   steeringAutoReturnMaxSpeed = 10;
   steeringUseStrafeSteering = True;
   steeringStrafeSteeringRate = 0.1;

	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	//   explosion = VehicleExplosion;
	justcollided = 0;

   uiName = "Motorcycle-Standard";
	rideable = true;
	paintable = true;
   
   damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

   numDmgEmitterAreas = 1;

   initialExplosionProjectile = MotorcycleExplosionProjectile;
   initialExplosionOffset = 0;         //offset only uses a z value for now

   burnTime = 3000;

   finalExplosionProjectile = MotorcycleFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now

   minRunOverSpeed    = 4;   //how fast you need to be going to run someone over (do damage)
   runOverDamageScale = 8;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 1.2; //how hard a person you're running over gets pushed

   //protection for passengers
   protectPassengersBurn   = false;  //protect passengers from the burning effect of explosions?
   protectPassengersRadius = false;  //protect passengers from radius damage (explosions) ?
   protectPassengersDirect = false; //protect passengers from direct damage (bullets) ?
};

datablock WheeledVehicleData(MotorcycleCruiserVehicle : MotorcycleStandardVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./MotorcycleCruiser.dts";
	emap = true;
	//- Vehicle Data -
  	numMountPoints = 2;
   	mountThread[0] = "armreadyboth";
   	mountThread[1] = "sit";
	uiName = "Motorcycle-Cruiser";
	maxWheelSpeed = 25.0;
	mass = 210;
};

datablock WheeledVehicleData(MotorcycleChopperVehicle : MotorcycleStandardVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./MotorcycleChopper.dts";
	emap = true;
	//- Vehicle Data -
  	numMountPoints = 2;
   	mountThread[0] = "armreadyboth";
   	mountThread[1] = "sit";
	uiName = "Motorcycle-Chopper";
	maxWheelSpeed = 25.0;
	mass = 210;
};

datablock WheeledVehicleData(MotorcycleDirtVehicle : MotorcycleStandardVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./MotorcycleDirt.dts";
	emap = true;
	//- Vehicle Data -
	uiName = "Motorcycle-Dirt";
	maxWheelSpeed = 30.0;
	mass = 180;
};

datablock WheeledVehicleData(MotorcycleSportVehicle : MotorcycleStandardVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./MotorcycleSport.dts";
	emap = true;
	//- Vehicle Data -
	uiName = "Motorcycle-Sport";
	maxWheelSpeed = 32.0;
	mass = 190;
};

datablock WheeledVehicleData(MotorcycleTouringVehicle : MotorcycleStandardVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./MotorcycleTouring.dts";
	emap = true;
	//- Vehicle Data -
  	numMountPoints = 2;
   	mountThread[0] = "armreadyboth";
   	mountThread[1] = "sit";
	uiName = "Motorcycle-Touring";
	maxWheelSpeed = 27.0;
};

function MotorcycleStandardvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propstop");

	MotorcycleSmokeCheck(%obj);
	
}

function MotorcycleCruiservehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propstop");

	MotorcycleSmokeCheck(%obj);
	
}

function MotorcycleChoppervehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propstop");

	MotorcycleSmokeCheck(%obj);
	
}

function MotorcycleDirtvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propstop");

	MotorcycleSmokeCheck(%obj);
	
}

function MotorcycleSportvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propstop");

	MotorcycleSmokeCheck(%obj);
	
}

function MotorcycleTouringvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propstop");

	MotorcycleSmokeCheck(%obj);
	
}
